#hcrng is built with hcc which does not add a build id to objects.
%undefine _missing_build_ids_terminate_build
%global debug_package %{nil}

%global commit b0f71966d3b42365a4454e24082d4c455ad360fa
%global shortcommit %(c=%{commit}; echo ${c:0:7})
Name:		hcrng
Version:	0.1
Release:	0.3.20171215git%{shortcommit}%{?dist}

Summary:	hcc based random number generator

License:	MIT
URL:		https://github.com/ROCmSoftwarePlatform/hcRNG
Source0:	https://github.com/ROCmSoftwarePlatform/hcRNG/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Patch0:		0001-Remove-terminal-colors-from-build.sh.patch
Patch1:		0001-Fix-reading-HIP_PATH-environment-variable.patch
Patch2:		0001-Fix-compiler-detection.patch

BuildRequires:	hip	
BuildRequires:	perl-Getopt-Long
BuildRequires:	cmake

%{!?enable_llvmtoolset7: %define enable_llvmtoolset7 %{nil}}
%{!?enable_devtoolset7: %define enable_devtoolset7 %{nil}}

%if 0%{?rhel} == 7
# FIXME: Manually define enable_llvmtoolset7 until llvm-toolset-7-5.0.1 is
# available
%enable_llvmtoolset7 %global ___build_pre %{___build_pre}; source scl_source enable llvm-toolset-7 || :

BuildRequires: llvm-toolset-7-cmake
BuildRequires: llvm-toolset-7-runtime
BuildRequires: devtoolset-7-build
BuildRequires: devtoolset-7-gcc

%enable_llvmtoolset7
%enable_devtoolset7
%global __cmake cmake
%endif

%description
hcc based random number generator


%prep
%autosetup -n  hcRNG-%{commit} -p1


%build
export HCC_HOME=/usr
export HIP_PATH=/usr

./build.sh


%install
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}/hcrng
install -m 0755 build/lib/src/libhiprng.so %{buildroot}%{_libdir}
install -m 0755 build/lib/src/libhcrng.so %{buildroot}%{_libdir}

cp -R lib/include/* %{buildroot}%{_includedir}/hcrng
# Some programs look for headers in the hiprng directory.
ln -s %{_includedir}/hcrng %{buildroot}%{_includedir}/hiprng


%files
%doc README.md
%{_libdir}/libhiprng.so
%{_libdir}/libhcrng.so
%{_includedir}/hcrng/*
%{_includedir}/hiprng


%changelog
* Mon Mar 12 2018 Tom Stellard <tstellar@redhat.com> - 0.1-0.3.20171215gitb0f7196
- Add epel support

* Fri Dec 15 2017 Tom Stellard <tstellar@redhat.com> - 0.1-0.2.20171215gitb0f7196
- Install header files


